

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { ReactiveFormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { WjInputModule } from 'wijmo/wijmo.angular2.input';
import { AppComponent } from './app.component';
import { DataSvc } from './services/DataSvc';
import { WjGridModule } from 'wijmo/wijmo.angular2.grid';
import { WjChartModule } from 'wijmo/wijmo.angular2.chart';
import { WjCoreModule } from 'wijmo/wijmo.angular2.core';
import { WjGridDetailModule } from 'wijmo/wijmo.angular2.grid.detail';
import { WjGridSheetModule } from 'wijmo/wijmo.angular2.grid.sheet';


@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,  
      HttpModule,
      WjInputModule,
      WjGridModule,
      WjCoreModule,
      WjGridDetailModule,
      ReactiveFormsModule,
      WjGridSheetModule
  ],
  providers: [DataSvc],
  bootstrap: [AppComponent]
})
export class AppModule { }
